package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.*;
import com.clx.performance.vo.pc.OwnerAccountRunningWaterRecordVO;
import com.clx.performance.vo.pc.OwnerAccountVO;

import java.util.List;

public interface OwnerAccountService {
    IPage<OwnerAccountVO> pageList(PageOwnerAccountListParam param);

    IPage<OwnerAccountRunningWaterRecordVO> marginAccountPageList(PagePlatformMarginAccountParam param);

    IPage<OwnerAccountRunningWaterRecordVO> prepaidFreightAccountPageList(PagePlatformPrepaidFreightAccountParam param);

    List<OwnerAccountVO> accountInfo(Long ownerUserNo);

    Long accountTopUp(OwnerTopUpParam param);

    Long accountCaseOut(OwnerCaseOutParam param);

    /**
     * 充值审批
     */
    void accountTopUpApprove(PlatformAccountTopUpParam param);

    /**
     * 提现审批
     * @param param
     */
    void accountCaseOutApprove(OwnerCaseOutApproveParam param);

    /**
     * 货主付款确认
     * @param id
     */
    void accountBalanceConfirm(Integer id);
}
